=== debian/control ===
Source: ros-iron-rqt-publisher
Section: misc
Priority: optional
Maintainer: Michael Jeronimo <michael.jeronimo@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: http://wiki.ros.org/rqt_publisher
Standards-Version: 3.9.2

Package: ros-iron-rqt-publisher
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-numpy, ros-iron-ament-index-python, ros-iron-python-qt-binding (>= 0.2.19), ros-iron-qt-gui-py-common, ros-iron-rclpy, ros-iron-rosidl-runtime-py, ros-iron-rqt-gui, ros-iron-rqt-gui-py, ros-iron-rqt-py-common, ros-iron-ros-workspace
Description: rqt_publisher provides a GUI plugin for publishing arbitrary messages with fixed or computed field values.
